org.apache.fontbox.ttf

## Class GlyfSimpleDescript

- java.lang.Object
- - org.apache.fontbox.ttf.GlyfDescript
  - - org.apache.fontbox.ttf.GlyfSimpleDescript

All Implemented Interfaces:
  GlyphDescription

    public class GlyfSimpleDescript
    extends GlyfDescript

This class is based on code from Apache Batik, a subproject of Apache XMLGraphics. see The Apache™ Batik Project for further details.

### Field Summary

### Fields inherited from class org.apache.fontbox.ttf.GlyfDescript

`ON_CURVE, REPEAT, X_DUAL, X_SHORT_VECTOR, Y_DUAL, Y_SHORT_VECTOR`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEndPtOfContours(int i)` Returns the index of the ending point of the given contour.
`byte` `getFlags(int i)` Returns the flags of the given point.
`int` `getPointCount()` Returns the number of points.
`short` `getXCoordinate(int i)` Returns the x coordinate of the given point.
`short` `getYCoordinate(int i)` Returns the y coordinate of the given point.
`boolean` `isComposite()` Returns whether this point is a composite or not.

### Methods inherited from class org.apache.fontbox.ttf.GlyfDescript

`getContourCount, getInstructions, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEndPtOfContours

    public int getEndPtOfContours(int i)

Returns the index of the ending point of the given contour.

Parameters:
  `i` - the number of the contour
Returns:
  the index of the ending point of the given contour

#### getFlags

    public byte getFlags(int i)

Returns the flags of the given point. To decode these bit flags, use the static elements of `GlyfDescript`. See also "Outline flags" in The 'glyf' table in the TrueType Reference Manual.

Parameters:
  `i` - the given point
Returns:
  the flags value for the given point

#### getXCoordinate

    public short getXCoordinate(int i)

Returns the x coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the x coordinate value for the given point

#### getYCoordinate

    public short getYCoordinate(int i)

Returns the y coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the y coordinate value for the given point

#### isComposite

    public boolean isComposite()

Returns whether this point is a composite or not.

Returns:
  true if this point is a composite

#### getPointCount

    public int getPointCount()

Returns the number of points.

Returns:
  the number of points